diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index cb1d422..272d6cd 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -20286,6 +20286,7 @@ Complex(R:CommutativeRing): ComplexCategory(R) with
 --R map : (((Complex(DoubleFloat),Complex(DoubleFloat)) -> Complex(DoubleFloat)),%,%) -> %
 --R map : ((Complex(DoubleFloat) -> Complex(DoubleFloat)),%) -> %
 --R map! : ((Complex(DoubleFloat) -> Complex(DoubleFloat)),%) -> %
+--R matrix : (NonNegativeInteger,NonNegativeInteger,((Integer,Integer) -> Complex(DoubleFloat))) -> %
 --R matrix : List(List(Complex(DoubleFloat))) -> %
 --R member? : (Complex(DoubleFloat),%) -> Boolean if $ has finiteAggregate and Complex(DoubleFloat) has SETCAT
 --R members : % -> List(Complex(DoubleFloat)) if $ has finiteAggregate
@@ -29588,6 +29589,7 @@ DoubleFloat(): Join(FloatingPointSystem, DifferentialRing, OpenMath,
 --R map : (((DoubleFloat,DoubleFloat) -> DoubleFloat),%,%) -> %
 --R map : ((DoubleFloat -> DoubleFloat),%) -> %
 --R map! : ((DoubleFloat -> DoubleFloat),%) -> %
+--R matrix : (NonNegativeInteger,NonNegativeInteger,((Integer,Integer) -> DoubleFloat)) -> %
 --R matrix : List(List(DoubleFloat)) -> %
 --R member? : (DoubleFloat,%) -> Boolean if $ has finiteAggregate and DoubleFloat has SETCAT
 --R members : % -> List(DoubleFloat) if $ has finiteAggregate
@@ -136074,7 +136076,8 @@ TwoDimensionalViewport ():Exports == Implementation where
     import POINT
 
     Rep := Record (key:I, graphsField:V GU, graphStatesField:V GS, _
-                   title:STR, moveTo:XYNN, size:XYP, flags:FLAG, optionsField:L DROP)
+                   title:STR, moveTo:XYNN, size:XYP, flags:FLAG, _
+                   optionsField:L DROP)
 
     defaultGS : GS := [convert(0.9)@SF, convert(0.9)@SF, 0$SF, 0$SF, _
                       yes, yes, no, _
@@ -136180,8 +136183,10 @@ TwoDimensionalViewport ():Exports == Implementation where
       yScale := convert(yScaleF)@SF
       if (graphIndex > maxGRAPHS) then
         error "Referring to a graph with too big an index"
-      viewport.graphStatesField.graphIndex.scaleX := xScale  -- check union (undefined?)
-      viewport.graphStatesField.graphIndex.scaleY := yScale  -- check union (undefined?)
+      -- check union (undefined?)
+      viewport.graphStatesField.graphIndex.scaleX := xScale
+      -- check union (undefined?)
+      viewport.graphStatesField.graphIndex.scaleY := yScale
       (key(viewport) ^= 0$I) =>
         sendI(VIEW,typeVIEW2D)$Lisp
         sendI(VIEW,SCALE2D)$Lisp
@@ -136194,8 +136199,9 @@ TwoDimensionalViewport ():Exports == Implementation where
     viewport2D ==
       [0,new(maxGRAPHS,"undefined"), _
        new(maxGRAPHS,copy defaultGS),"AXIOM2D", _
-        [viewPosDefault().1,viewPosDefault().2],[viewSizeDefault().1,viewSizeDefault().2], _
-         [noControl], [] ]
+        [viewPosDefault().1,viewPosDefault().2],_
+         [viewSizeDefault().1,viewSizeDefault().2], _
+          [noControl], [] ]
       
     makeViewport2D(g:G,opts:L DROP) ==
       viewport               := viewport2D()
@@ -136205,8 +136211,11 @@ TwoDimensionalViewport ():Exports == Implementation where
 
     makeViewport2D viewportDollar ==
       viewport := viewportDollar::Rep
-      doOptions viewport --local function to extract and assign optional arguments for 2D viewports
-      sayBrightly(["   AXIOM2D data being transmitted to the viewport manager..."::E]$List(E))$Lisp
+--local function to extract and assign optional arguments for 2D viewports  
+      doOptions viewport 
+      sayBrightly(_
+       ["   AXIOM2D data being transmitted to the viewport manager..."::E]_
+        $List(E))$Lisp
       sendI(VIEW,typeVIEW2D)$Lisp
       sendI(VIEW,makeVIEW2D)$Lisp
       sendSTR(VIEW,viewport.title)$Lisp
@@ -136230,10 +136239,10 @@ TwoDimensionalViewport ():Exports == Implementation where
           sendI(VIEW,gs.connect)$Lisp
           sendI(VIEW,gs.spline)$Lisp
           sendI(VIEW,gs.axes)$Lisp
-          hueShade := hue hue gs.axesColor + shade gs.axesColor * numberOfHues()
+          hueShade:=hue hue gs.axesColor+shade gs.axesColor * numberOfHues()
           sendI(VIEW,hueShade)$Lisp
           sendI(VIEW,gs.units)$Lisp
-          hueShade := hue hue gs.unitsColor + shade gs.unitsColor * numberOfHues()
+          hueShade:=hue hue gs.unitsColor+shade gs.unitsColor * numberOfHues()
           sendI(VIEW,hueShade)$Lisp
           sendI(VIEW,gs.showing)$Lisp
       viewport.key := getI(VIEW)$Lisp
@@ -136242,7 +136251,7 @@ TwoDimensionalViewport ():Exports == Implementation where
     graphState(viewport,num,sX,sY,dX,dY,Points,Lines,Spline, _
                Axes,AxesColor,Units,UnitsColor,Showing) ==
       viewport.graphStatesField.num := [sX,sY,dX,dY,Points,Lines,Spline, _
-                                        Axes,AxesColor,Units,UnitsColor,Showing]
+                                       Axes,AxesColor,Units,UnitsColor,Showing]
 
     title(viewport,Title) == 
       viewport.title := Title
@@ -136268,7 +136277,8 @@ TwoDimensionalViewport ():Exports == Implementation where
         status := yes
       else
         status := no
-      viewport.graphStatesField.graphIndex.axes := status  -- check union (undefined?)
+      -- check union (undefined?)
+      viewport.graphStatesField.graphIndex.axes := status
       (key(viewport) ^= 0$I) =>
         sendI(VIEW,typeVIEW2D)$Lisp
         sendI(VIEW,axesOnOff2D)$Lisp 
@@ -136297,7 +136307,8 @@ TwoDimensionalViewport ():Exports == Implementation where
         status := yes
       else
         status := no
-      viewport.graphStatesField.graphIndex.units := status  -- check union (undefined?)
+      -- check union (undefined?)
+      viewport.graphStatesField.graphIndex.units := status  
       (key(viewport) ^= 0$I) =>
         sendI(VIEW,typeVIEW2D)$Lisp
         sendI(VIEW,unitsOnOff2D)$Lisp
@@ -136326,7 +136337,8 @@ TwoDimensionalViewport ():Exports == Implementation where
         status := 1$I
       else
         status := 0$I
-      viewport.graphStatesField.graphIndex.connect := status  -- check union (undefined?)
+      -- check union (undefined?)
+      viewport.graphStatesField.graphIndex.connect := status  
       (key(viewport) ^= 0$I) =>
         sendI(VIEW,typeVIEW2D)$Lisp
         sendI(VIEW,connectOnOff)$Lisp
@@ -136342,7 +136354,8 @@ TwoDimensionalViewport ():Exports == Implementation where
         status := 1$I
       else
         status := 0$I
-      viewport.graphStatesField.graphIndex.points := status  -- check union (undefined?)
+      -- check union (undefined?)
+      viewport.graphStatesField.graphIndex.points := status  
       (key(viewport) ^= 0$I) =>
         sendI(VIEW,typeVIEW2D)$Lisp
         sendI(VIEW,pointsOnOff)$Lisp
@@ -136358,7 +136371,8 @@ TwoDimensionalViewport ():Exports == Implementation where
         status := 1$I
       else
         status := 0$I
-      viewport.graphStatesField.graphIndex.spline := status  -- check union (undefined?)
+      -- check union (undefined?)
+      viewport.graphStatesField.graphIndex.spline := status  
       (key(viewport) ^= 0$I) =>
         sendI(VIEW,typeVIEW2D)$Lisp
         sendI(VIEW,spline2D)$Lisp
@@ -136374,7 +136388,8 @@ TwoDimensionalViewport ():Exports == Implementation where
         status := 1$I
       else
         status := 0$I
-      viewport.graphStatesField.graphIndex.showing := status  -- check union (undefined?)
+      -- check union (undefined?)
+      viewport.graphStatesField.graphIndex.showing := status  
       (key(viewport) ^= 0$I) =>
         sendI(VIEW,typeVIEW2D)$Lisp
         sendI(VIEW,showing2D)$Lisp
@@ -136422,13 +136437,12 @@ TwoDimensionalViewport ():Exports == Implementation where
           sendSTR(VIEW,Filename)$Lisp
           m := minIndex(avail := viewWriteAvailable())
           for aTypeOfFile in thingsToWrite repeat
-            if (writeTypeInt:= position(upperCase aTypeOfFile,avail)-m) < 0 then
+            if (writeTypeInt:=position(upperCase aTypeOfFile,avail)-m) < 0 then
               sayBrightly(["  > "::E,(concat(aTypeOfFile, _
-                " is not a valid file type for writing a 2D viewport"))::E]$List(E))$Lisp
+                " is not a valid file type for writing a 2D viewport"))::E]_
+                  $List(E))$Lisp
             else
               sendI(VIEW,writeTypeInt+(1$I))$Lisp
-                  --              stringToSend := concat [stringToSend,"%",aTypeOfFile]
-                  --              sendSTR(VIEW,stringToSend)$Lisp
           sendI(VIEW,0$I)$Lisp     -- no more types of things to write
           getI(VIEW)$Lisp          -- acknowledge
           Filename
@@ -140275,8 +140289,8 @@ Dx:F->F:=f+->D(f,['x])
 
 --S 3 of 33
 D0:=OREUP('d,F,1,Dx);
+--R 
 --R
---R                                                                 Type: Domain
 --E 3
 
 --S 4 of 33
@@ -140466,8 +140480,8 @@ DF:EXPR(INT)->EXPR(INT):=e+->eval(e,[n],[n+1])-e
 
 --S 21 of 33
 D0:=OREUP('D,EXPR(INT),morphism S,DF);
+--R 
 --R
---R                                                                 Type: Domain
 --E 21
 
 --S 22 of 33
@@ -140525,8 +140539,8 @@ delta:R->R:=r+->y*r-r*y
 
 --S 29 of 33
 S:=OREUP('x,R,1,delta);
+--R 
 --R
---R                                                                 Type: Domain
 --E 29
 
 --S 30 of 33
diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index e27dbe5..ff7071b 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -4432,10 +4432,11 @@ credits()
 --RYurij Baransky         David R. Barton        Gerald Baumgartner
 --RGilbert Baumslag       Michael Becker         Nelson H. F. Beebe
 --RJay Belanger           David Bindel           Fred Blair
---RVladimir Bondarenko    Mark Botch             Alexandre Bouyer
---RKaren Braman           Peter A. Broadbery     Martin Brock
---RManuel Bronstein       Stephen Buchwald       Florian Bundschuh
---RLuanne Burns           William Burge          Ralph Byers
+--RVladimir Bondarenko    Mark Botch             Raoul Bourquin
+--RAlexandre Bouyer       Karen Braman           Peter A. Broadbery
+--RMartin Brock           Manuel Bronstein       Stephen Buchwald
+--RFlorian Bundschuh      Luanne Burns           William Burge
+--RRalph Byers
 --RQuentin Carpent        Robert Caviness        Bruce Char
 --ROndrej Certik          Tzu-Yi Chen            Cheekai Chin
 --RDavid V. Chudnovsky    Gregory V. Chudnovsky  Mark Clements
@@ -170261,7 +170262,7 @@ ViewDefaultsPackage():Exports == Implementation where
     viewPosDefault      :  L NNI -> L NNI
       ++ viewPosDefault([x,y]) sets the default x and y position of a
       ++ viewport window unless overriden explicityly, newly created
-      ++ viewports will have th X and Y coordinates x, y.
+      ++ viewports will have the x and y coordinates x, y.
 
     viewSizeDefault : () -> L PI
       ++ viewSizeDefault() returns the default viewport width and height.
diff --git a/changelog b/changelog
index 8231e4e..e8de559 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20130320 tpd src/axiom-website/patches.html 20130320.01.tpd.patch
+20130320 tpd src/input/richhyper200-299.input cleanup
+20130320 tpd src/input/richhyper000-099.input cleanup
+20130320 tpd books/bookvol10.4 cleanup
+20130320 tpd books/bookvol10.3 cleanup
 20130319 tpd src/axiom-website/patches.html 20130319.02.tpd.patch
 20130319 tpd buglist fix 7236
 20130319 tpd books/bookvol10.2 cleanup
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 98c3388..a2d0f79 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4107,5 +4107,7 @@ books/bookvol10.2, bookvol10.3 fix typos
 fix broken tests
 <a href="patches/20130319.02.tpd.patch">20130319.02.tpd.patch</a>
 regression test cleaup
+<a href="patches/20130320.01.tpd.patch">20130320.01.tpd.patch</a>
+regression test cleaup
  </body>
 </html>
diff --git a/src/input/richhyper000-099.input.pamphlet b/src/input/richhyper000-099.input.pamphlet
index c263752..0a5a784 100644
--- a/src/input/richhyper000-099.input.pamphlet
+++ b/src/input/richhyper000-099.input.pamphlet
@@ -67322,7 +67322,7 @@ r0095:= 1/8/c^(3/2)*(4*cosh(a+b*x+c*x^2)*c^(1/2)+_
         b*exp(-1/4*(-b^2+4*a*c)/c)*%pi^(1/2)*erf(1/2*(b+2*c*x)/c^(1/2))+_
         %i*b*exp(1/4*(-b^2+4*a*c)/c)*%pi^(1/2)*erf(1/2*%i*(b+2*c*x)/c^(1/2)))
 --R 
---R   There are 14 exposed and 12 unexposed library operations named / 
+--R   There are 15 exposed and 12 unexposed library operations named / 
 --R      having 2 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                                )display op /
@@ -67513,7 +67513,7 @@ r0098:= -1/8/c^(3/2)*(4*cosh(a+b*x-c*x^2)*c^(1/2)+_
         exp(-1/4*(b^2+4*a*c)/c)*%pi^(1/2)*_
         erf(1/2*%i*(b-2*c*x)/c^(1/2)))
 --R 
---R   There are 14 exposed and 12 unexposed library operations named / 
+--R   There are 15 exposed and 12 unexposed library operations named / 
 --R      having 2 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                                )display op /
diff --git a/src/input/richhyper200-299.input.pamphlet b/src/input/richhyper200-299.input.pamphlet
index c0a01c1..bb5c029 100644
--- a/src/input/richhyper200-299.input.pamphlet
+++ b/src/input/richhyper200-299.input.pamphlet
@@ -18939,7 +18939,7 @@ r0228:= 1/8*(-b*exp(-1/4*(-b^2+4*a*c)/c)*%pi^(1/2)*_
          erf(1/2*%i*(b+2*c*x)/c^(1/2))+4*_
          sinh(a+b*x+c*x^2)*c^(1/2))/c^(3/2)
 --R 
---R   There are 14 exposed and 12 unexposed library operations named / 
+--R   There are 15 exposed and 12 unexposed library operations named / 
 --R      having 2 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                                )display op /
@@ -19091,7 +19091,7 @@ r0231:= -1/8/c^(3/2)*(b*exp(1/4*(b^2+4*a*c)/c)*%pi^(1/2)*_
          erf(1/2*%i*(b-2*c*x)/c^(1/2))+4*_
          sinh(a+b*x-c*x^2)*c^(1/2))
 --R 
---R   There are 14 exposed and 12 unexposed library operations named / 
+--R   There are 15 exposed and 12 unexposed library operations named / 
 --R      having 2 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                                )display op /
@@ -19145,7 +19145,7 @@ r0232:= 1/2/x*(-2*cosh(a+b*x-c*x^2)+c^(1/2)*exp(1/4*(b^2+4*a*c)/c)*%pi^(1/2)*_
          exp(-1/4*(b^2+4*a*c)/c)*%pi^(1/2)*_
          erf(1/2*%i*(b-2*c*x)/c^(1/2))*x)
 --R 
---R   There are 14 exposed and 12 unexposed library operations named / 
+--R   There are 15 exposed and 12 unexposed library operations named / 
 --R      having 2 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                                )display op /
@@ -19198,7 +19198,7 @@ r0233:= 1/6*x^3+1/64*(b^2+c)*exp(1)^(-2*a+1/2*b^2/c)*2^(1/2)*%pi^(1/2)*_
          erfi(1/2*(b+2*c*x)*2^(1/2)/c^(1/2))/c^(5/2)-1/16*b*_
          sinh(2*a+2*b*x+2*c*x^2)/c^2+1/8*x*sinh(2*a+2*b*x+2*c*x^2)/c
 --R 
---R   There are 34 exposed and 23 unexposed library operations named * 
+--R   There are 37 exposed and 23 unexposed library operations named * 
 --R      having 2 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                                )display op *
@@ -19250,7 +19250,7 @@ r0234:= 1/6*x^3-1/64*(b^2+c)*exp(1)^(2*a+1/2*b^2/c)*2^(1/2)*%pi^(1/2)*_
          erfi(1/2*(b-2*c*x)*2^(1/2)/c^(1/2))/c^(5/2)-1/16*b*_
          sinh(2*a+2*b*x-2*c*x^2)/c^2-1/8*x*sinh(2*a+2*b*x-2*c*x^2)/c
 --R 
---R   There are 34 exposed and 23 unexposed library operations named * 
+--R   There are 37 exposed and 23 unexposed library operations named * 
 --R      having 2 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                                )display op *
@@ -19455,7 +19455,7 @@ r0238:= 1/2*d^2*x+1/2*d*e*x^2+1/6*e^2*x^3+_
          1/16*b*e^2*sinh(2*a+2*b*x+2*c*x^2)/c^2+_
          1/8*e^2*x*sinh(2*a+2*b*x+2*c*x^2)/c
 --R 
---R   There are 34 exposed and 23 unexposed library operations named * 
+--R   There are 37 exposed and 23 unexposed library operations named * 
 --R      having 2 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                                )display op *
@@ -19507,7 +19507,7 @@ r0239:= 1/2*d*x+1/4*e*x^2+1/32*(2*c*d-b*e)*exp(1)^(-2*a+1/2*b^2/c)*_
          erfi(1/2*(b+2*c*x)*2^(1/2)/c^(1/2))/c^(3/2)+1/8*e*_
          sinh(2*a+2*b*x+2*c*x^2)/c
 --R 
---R   There are 34 exposed and 23 unexposed library operations named * 
+--R   There are 37 exposed and 23 unexposed library operations named * 
 --R      having 2 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                                )display op *
@@ -27757,14 +27757,14 @@ d0284:= D(m0284,x)
 --R                                                    Type: Expression(Integer)
 --E 425
 
---S 46 of 500
+--S 426 of 500
 t0285:= tanh(8*x)^(1/3)
 --R 
 --R
 --R          3+--------+
 --R   (293)  \|tanh(8x)
 --R                                                    Type: Expression(Integer)
---E 46
+--E 426
 
 --S 427 of 500
 r0285:= -1/16*3^(1/2)*atan(1/3*(1+2*tanh(8*x)^(2/3))*3^(1/2))-_
